## ofxstatement 0.5.0

=== debian/changelog ===
ofxstatement (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #824152).

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 19 Jul 2016 01:22:54 +0300

## ofxstatement 0.6.1

=== Makefile ===
all: bin/ofxstatement

.venv:
	virtualenv -p python3 --no-site-packages .venv

bin/buildout: .venv
	.venv/bin/python bootstrap.py
	touch bin/buildout

bin/ofxstatement: bin/buildout buildout.cfg setup.py
	./bin/buildout
	./bin/python setup.py develop
	touch bin/ofxstatement

.PHONY: coverage
coverage: bin/ofxstatement
	./bin/coverage run --source=src/ofxstatement ./bin/test
	./bin/coverage report

## ofxstatement 0.6.0

=== debian/changelog ===
ofxstatement (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 01.fix-setup-encoding.patch (fixed upstream).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 04 Dec 2016 02:29:31 +0300

ofxstatement (0.5.0-2) unstable; urgency=medium

  * 01.fix-setup-encoding.patch added: fixes build in non-utf8 locales.
    (Closes: #834916)

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 20 Aug 2016 20:08:06 +0300

=== debian/control ===
Source: ofxstatement
Section: misc
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python, python3-all, python3-setuptools,
 python3-appdirs, python3-mock,
Standards-Version: 3.9.8
Homepage: https://github.com/kedder/ofxstatement
Vcs-Git: https://github.com/gerasiov/ofxstatement.git
Vcs-Browser: https://github.com/gerasiov/ofxstatement

Package: ofxstatement
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ofxstatement-plugins
Description: tool to convert proprietary bank statement to OFX format
 Most internet banking systems are capable of exporting account transactions to
 some sort of computer readable formats, but few supports standard data formats,
 like OFX. On the other hand, personal accounting tools, such as GnuCash support
 standard formats only, and will probably never support proprietary statement
 formats of online banking systems.
 .
 Ofxstatement is a tool to convert proprietary bank statement to OFX format,
 suitable for importing to GnuCash

## ofxstatement 0.6.1

=== debian/changelog ===
ofxstatement (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 28 Jul 2017 15:18:07 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
  dh-python, python3-all, python3-setuptools,
  python3-appdirs, python3-mock,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/kedder/ofxstatement
 Vcs-Git: https://github.com/gerasiov/ofxstatement.git
 Vcs-Browser: https://github.com/gerasiov/ofxstatement

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = ofxstatement

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf src/ofxstatement.egg-info

## ofxstatement 0.6.5

=== Makefile ===
VENV=$(abspath .venv)
PIP=$(VENV)/bin/pip

all: bin/ofxstatement bin/pytest

$(VENV):
	python3 -m venv $(VENV)

bin:
	mkdir $@

bin/ofxstatement: $(VENV)/bin/ofxstatement | bin
	ln -sf $(VENV)/bin/ofxstatement $@
	touch $@

bin/pytest: $(VENV)/bin/ofxstatement | bin
	ln -sf $(VENV)/bin/pytest $@
	touch $@

$(VENV)/bin/ofxstatement: $(VENV) setup.py
	$(PIP) install --editable .[test]

PHONY: test
test: bin/pytest
	bin/pytest

PHONY: coverage
coverage: bin/pytest
	./bin/pytest --cov src/ofxstatement

=== debian/changelog ===
ofxstatement (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 27 Aug 2020 17:50:34 +0300

ofxstatement (0.6.4-2) unstable; urgency=medium

  * d/control: wrap-and-sort.
  * d/control: Bump Standards-Version (no changes needed).
  * d/control, d/rules: Build manpage with help2man.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 05 May 2020 13:12:14 +0300

ofxstatement (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * d/control: Bump debhelper version.
  * Add patches/fix_autotests.patch: Fixes autotests.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 29 Mar 2020 22:23:46 +0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Section: misc
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9),
- dh-python, python3-all, python3-setuptools,
- python3-appdirs, python3-mock,
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               help2man,
+               python3-all,
+               python3-appdirs,
+               python3-mock,
+               python3-setuptools
+Standards-Version: 4.5.0
 Homepage: https://github.com/kedder/ofxstatement
 Vcs-Git: https://github.com/gerasiov/ofxstatement.git
 Vcs-Browser: https://github.com/gerasiov/ofxstatement
 
 Package: ofxstatement
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ofxstatement-plugins
 Description: tool to convert proprietary bank statement to OFX format
  Most internet banking systems are capable of exporting account transactions to

## ofxstatement 0.7.1

=== debian/changelog ===
ofxstatement (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * fix_autotests.patch refreshed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/copyright: Use secure protocol in URI.
  * d/control: Recommend latest plugin version.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 26 Dec 2020 21:28:49 +0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: ofxstatement
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ofxstatement-plugins
+Recommends: ofxstatement-plugins (>= 20210108)
 Description: tool to convert proprietary bank statement to OFX format
  Most internet banking systems are capable of exporting account transactions to
  some sort of computer readable formats, but few supports standard data formats,

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,14 @@
 
 override_dh_clean:
 	dh_clean
+	rm -f ofxstatement.1
 	rm -rf src/ofxstatement.egg-info
+
+override_dh_auto_install:
+	dh_auto_install $@
+	PYTHONPATH=src PYTHONDONTWRITEBYTECODE=1 \
+		   help2man --no-info \
+		   --name="convert bank statements to OFX format" \
+		   --output ofxstatement.1 \
+		   debian/ofxstatement/usr/bin/ofxstatement
+	dh_installman ofxstatement.1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ofxstatement-$1.tar.gz%" \
https://github.com/kedder/ofxstatement/releases \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ofxstatement 0.9.2

=== Makefile ===
all: test mypy black

PHONY: test
test:
	pytest

PHONY: coverage
coverage: bin/pytest
	pytest --cov src/ofxstatement

.PHONY: black
black:
	black setup.py src

.PHONY: mypy
mypy:
	mypy src

=== debian/changelog ===
ofxstatement (0.9.2-0.1) unstable; urgency=medium

  * Non-maintainer Upload
  * New upstream version 0.9.2 (Closes: #1083515)
  * Remove dependency on python3-mock
  * Remove patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Nov 2024 23:15:42 +0100

ofxstatement (0.9.1-0.1) unstable; urgency=medium

  * Non-maintainer Upload
  * Import project on Salsa
  * Fix d/watch for new API (Closes: #1072898)
  * New upstream version 0.9.1
  * Replace python3-appdirs with python3-platformdirs (Closes: #1067975)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Refresh patch
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Nov 2024 14:21:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: misc
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                help2man,
                python3-all,
-               python3-appdirs,
-               python3-mock,
+               python3-platformdirs,
                python3-setuptools
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/kedder/ofxstatement
-Vcs-Git: https://github.com/gerasiov/ofxstatement.git
-Vcs-Browser: https://github.com/gerasiov/ofxstatement
+Vcs-Git: https://salsa.debian.org/debian/ofxstatement.git
+Vcs-Browser: https://salsa.debian.org/debian/ofxstatement
 
 Package: ofxstatement
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME = ofxstatement
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ofxstatement-$1.tar.gz%" \
https://github.com/kedder/ofxstatement/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
